For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
On this page
  • Related endpoints
  • Global
  • Players
  • Guilds
  • Leaderboards
  • Item
Changelog

v3.1

Was this page helpful?
Edit this page
Previous

v3.2

Next

v3.0

Built with

Related endpoints

  • GET /player/{username}
  • GET /player/{username}/characters
  • GET /player/{username}/characters/{uuid}
  • GET /guild/{query}
  • GET /leaderboards/{lb_type}

We have fixed issues and added some new features on the v3 api:

Global

+ We added a Version HTTP header in every responses which will be equal to v3.1 for this patch, it will change with future api updates.

Players

  • Key in player main stats: legacyRankColor ==> legacyRankColour
  • Key in player main stats: publicProfile
  • Key in player character list: totalLevels ==> totalLevel
  • Key in player character list: xp with the character combat XP
  • Key in player character list: combat ==> level
  • Key in player character data: totalLevel with sum of all prof levels + combat level (same as totalLevel in character list)
  • Key in player character data: death ==> deaths
  • Key in player character data: preEconomy
  • level will now properly return combat level instead of totalLevel
  • skillPoints in player character data will be an empty dict if player disabled their publicProfile
  • All professions name are now lower case instead of having their first letter uppercase
  • All skill points name are now lower case instead of having their first letter uppercase

Guilds

  • New query parameter for get guild: identifier with allowed values: username or uuid, will change member object identifier to be either their UUID or username
  • Key in get guild: guildRank ==> contributionRank
  • Key in get guild: seasonRanks will now return an empty dict instead of none if empty

Leaderboards

  • Fixed an issue with the query parameter limitResult straight not working (we will also add documentation about this parameter)

Item

  • All reference to defense have edited to be defence